Package it.ernytech.tdlib

## Class TdApi.GetWebPagePreview

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetWebPagePreview

Enclosing class:
  TdApi

    public static class TdApi.GetWebPagePreview
    extends TdApi.Function

Returns a web page preview by the text of the message. Do not call this function too often. Returns a 404 error if the web page has no preview.

Returns `WebPage`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.FormattedText` `text` Message text with formatting.

### Constructor Summary

Constructors
`GetWebPagePreview()` Default constructor.
`GetWebPagePreview​(TdApi.FormattedText text)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### text

    public TdApi.FormattedText text

Message text with formatting.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetWebPagePreview

    public GetWebPagePreview()

Default constructor.

#### GetWebPagePreview

    public GetWebPagePreview​(TdApi.FormattedText text)

Constructor for initialization of all fields.

Parameters:
  `text` - Message text with formatting.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR